import { LabEvent } from 'itlab-functions';
declare const _default: import("vue").DefineComponent<{
    event: Partial<LabEvent> & Pick<LabEvent, "id" | "mode">;
}, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    attending: (data: boolean) => any;
}, string, import("vue").PublicProps, Readonly<{
    event: Partial<LabEvent> & Pick<LabEvent, "id" | "mode">;
}> & Readonly<{
    onAttending?: ((data: boolean) => any) | undefined;
}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
export default _default;
